Create asset
This endpoint lets you create the asset record. To upload a file, use the Upload asset file endpoint where the assetUid you get here is part of the path.
If you want to point to an asset that you already host, just add the correct URL of the asset and you are good to go.
Required permissions: ASSET
post/tenants/{tenantUid}/assets
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
namestringRequired
categorystring · enumRequiredPossible values:
descriptionstringOptional
isPublicbooleanOptionalDefault:
falseurlstringOptional
for self-hosted asset
assetUidstringOptionalPattern:
^[A-Za-z0-9-_]*serviceOrderUidsstring[]Optional
Responses
201
Example response
application/json
and
post/tenants/{tenantUid}/assets
POST /v2/tenants/{tenantUid}/assets HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 134
{
"name": "text",
"category": "BRANDING",
"description": "text",
"isPublic": false,
"url": "text",
"assetUid": "text",
"serviceOrderUids": [
"text"
]
}201
Example response
{
"assetUid": "text",
"name": "text",
"description": "text",
"category": "BRANDING",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text",
"size": "text",
"serviceOrderUids": [
"text"
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?

